Skip to main content
GET
List open orders
For more information, please visit the INTX Java SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Query Parameters

portfolio
string

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

instrument
string

Identifies the instrument by name (e.g., BTC-USDC), UUID (e.g., ce55a827-f04a-45c0-9d9b-8bbdb9b48065), or instrument ID (e.g., 7149252043835013)

instrument_type
string

Identifies the instruments by type . Allowed values: SPOT, PERPETUAL_FUTURE

client_order_id
string

The client order ID that was used when the order was created

event_type
enum<string>

The most recent type of event that happened to the order

Available options:
NEW,
TRADE,
CANCELED,
REPLACED,
PENDING_CANCEL,
REJECTED,
PENDING_NEW,
EXPIRED,
PENDING_REPLACE,
STOP_TRIGGERED
Example:

"TRADE"

order_type
enum<string>

The type of order. Allowed values: LIMIT, MARKET, STOP, STOP_LIMIT The type of the order

Available options:
LIMIT,
MARKET,
STOP_LIMIT,
STOP,
TAKE_PROFIT_STOP_LOSS
Example:

"LIMIT"

side
enum<string>

Identifies the side by name (e.g., BUY, SELL) The side of the transaction

Available options:
BUY,
SELL
Example:

"BUY"

ref_datetime
string<date-time>

The maximum event_time for results. Can be used in pagination to keep result set static. Uses ISO-8601 format (e.g., 2023-03-16T23:59:53Z)

Example:

"2023-03-16T23:59:53.000Z"

result_limit
integer

The number of results to return (defaults to 25 with a max supported value of 100)

Example:

30

result_offset
integer

The number of results from the beginning to skip past

Example:

50

Response

Order matches found

pagination
object
results
object[]